aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThierry Vignaud <thierry.vignaud@gmail.com>2014-09-08 12:04:25 +0200
committerThierry Vignaud <thierry.vignaud@gmail.com>2014-09-09 15:06:23 +0200
commit109369cd0582b76a7a4a559bb4d84820bbed1cdf (patch)
tree04d9463d0bc65eb3da8fc041eaa31b1de18fb363
parentb80378f9758974c4176dc69cefc7769d624b0eaf (diff)
downloadrpm-setup-109369cd0582b76a7a4a559bb4d84820bbed1cdf.tar
rpm-setup-109369cd0582b76a7a4a559bb4d84820bbed1cdf.tar.gz
rpm-setup-109369cd0582b76a7a4a559bb4d84820bbed1cdf.tar.bz2
rpm-setup-109369cd0582b76a7a4a559bb4d84820bbed1cdf.tar.xz
rpm-setup-109369cd0582b76a7a4a559bb4d84820bbed1cdf.zip
sync (3:8): kill stupid test, just merge with case
-rwxr-xr-xpkgconfigdeps.sh16
1 files changed, 5 insertions, 11 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
index 94d5e16..8183bb4 100755
--- a/pkgconfigdeps.sh
+++ b/pkgconfigdeps.sh
@@ -23,11 +23,6 @@ case $1 in
*.pc)
pcfiles=${pcfiles}" ${filename}"
PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$(dirname ${filename})
- ;;
- esac
- done
- if [ -n "$pcfiles" ]
- then
# Query the dependencies of the package.
PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-provides $pcfiles | while read n r v ; do
# We have a dependency. Make a note that we need the pkgconfig
@@ -37,7 +32,9 @@ case $1 in
done
test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
# The dependency on the pkgconfig package itself.
- fi
+ ;;
+ esac
+ done
;;
-R|--requires)
while read filename ; do
@@ -45,16 +42,13 @@ case $1 in
*.pc)
pcfiles=${pcfiles}" ${filename}"
PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$(dirname ${filename})
- esac
- done
- if [ -n "$pcfiles" ]
- then
PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-requires --print-requires-private ${pcfiles} | while read n r v ; do
test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
- fi
+ esac
+ done
;;
esac
exit 0